isoacf {sandwich} | R Documentation

## Isotonic Autocorrelation Function

### Description

Autocorrelation function (forced to be decreasing by isotonic regression).

### Usage

    isoacf(x, lagmax = NULL, weave1 = FALSE)

### Arguments

`x` | numeric vector.
`lagmax` | numeric. The maximal lag of the autocorrelations.
`weave1` | logical. If set to `TRUE` `isoacf` uses the `acf.R` and `pava.blocks` function from the original `weave` package, otherwise R's own `acf` and `isoreg` functions are used.

### Details

`isoacf` computes the autocorrelation function (ACF) of `x` enforcing the ACF to be decreasing by isotonic regression. See also Robertson et al. (1988).

### Value

`isoacf` returns a numeric vector containing the ACF.

### References

Lumley T & Heagerty P (1999), Weighted Empirical Adaptive Variance Estimators for Correlated Data Regression. Journal of the Royal Statistical Society B, 61, 459–477.

Robertson T, Wright FT, Dykstra RL (1988), Order Restricted Statistical Inference. New York. Wiley.

### See Also

`weave`, `weightsLumley`

### Examples

    x <- filter(rnorm(100), 0.9, "recursive")
    isoacf(x)
    acf(x, plot = FALSE)$acf

[Package sandwich version 2.5-1 Index]